﻿using CarRepairShopContracts.BindingModels;
using CarRepairShopContracts.SearchModels;
using CarRepairShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarRepairShopContracts.BusinessLogicsContracts
{
    public interface IRepairLogic
    {
        List<RepairViewModel>? ReadList(RepairSearchModel? model);
        RepairViewModel? ReadElement(RepairSearchModel model);

        bool Create(RepairBindingModel model);
        bool Update(RepairBindingModel model);
        bool Delete(RepairBindingModel model);
    }
}
