﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarRepairShopDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }
        string ShopAddress { get; }
        DateTime DateOpen { get; }
        public int MaxCountRepairs { get; set; }
        Dictionary<int,(IRepairModel, int)> ShopRepairs { get; }
    }
}
